关于IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.

标签: IllegalStateException
5人阅读 评论(0) 收藏 举报







查看评论

使用ActionBar,调整Theme时遇到You need to use a Theme.AppCompat theme (or descendant) with this activity解决方法

今天在写一个ActionBar时,想把标题颜色改成白色,以匹配app的风格,默认是黑色的:         这种黑色的标题栏,原因是因为清单文件AndroidMani...
  • cyp331203
  • cyp331203
  • 2015-04-06 10:19:48
  • 2339

Android--You need to use a Theme.AppCompat theme (or descendant) with this activity解决方案

一:错误场景 自定义一个Activity的theme;而这个Activity继承自v7包中的AppCompatActivity或者ActionBarActivity:在Activity中指定相应的t...
  • tiem_erhu
  • tiem_erhu
  • 2016-06-13 22:04:38
  • 526

Android问题集锦之二十八:You need to use a Theme.AppCompat theme (or descendant) with this activity.

错误描述为:java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with ...
  • lincyang
  • lincyang
  • 2015-01-13 17:49:11
  • 127058

【我的Android进阶之旅】解决bug:You need to use a Theme.AppCompat theme (or descendant) with this activity.

前言今天用Android Studio 生成Activity的时候,默认继承AppCompatActivity ,而在AndroidManifest.xml我对该Activity设置了一个主题,然后运...
  • qq446282412
  • qq446282412
  • 2016-10-17 16:21:08
  • 2551

关于“you need to use a theme.appcompat theme (or descendant) with this activity”错误

在写一个应用的界面的时候,我xiangb
  • u012336923
  • u012336923
  • 2014-09-23 12:59:43
  • 4264

You need to use a Theme.AppCompat theme (or descendant) with this activity.异常处理其一

以下为错误日志: java.lang.RuntimeException: Failure delivering result ResultInfo{who=@android:requestPer...
  • lei_notes
  • lei_notes
  • 2017-03-13 17:21:54
  • 1076

you need to use a theme.appcompat theme (or descendant) with this activity 解决办法

当你想隐藏 Androidmanifest.xml android:n
  • xuqingfeng77
  • xuqingfeng77
  • 2015-05-28 11:01:38
  • 7958

解决Android: You need to use a Theme.AppCompat theme (or descendant) with this activity.

今天继续读郭少的>,在研究2.4.4体验活动的生命周期,根据书上代码重新敲了一遍,在点击Start DialoyActivity按钮时,程序后台报错,如下: /AndroidRuntime: Shut...
  • zhangshufei8001
  • zhangshufei8001
  • 2017-03-28 11:43:35
  • 1350

使用AlertDialog报错 You need to use a Theme.AppCompat theme (or descendant) with this activity.之解决

以前由于继承自ActionBarActivity用得好好的,现在直接继承Activity,使用AlertDialog,则会报以下这个错误:java.lang.IllegalStateException...
  • metababy
  • metababy
  • 2016-04-21 15:35:47
  • 4992

android开发Caused by: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or des

错误日志: 09-05 02:40:05.021 1639-1639/? E/AndroidRuntime: FATAL EXCEPTION: main                      ...
  • swimming_in_IT_
  • swimming_in_IT_
  • 2017-09-05 11:06:07
  • 183
    个人资料
    等级:
    访问量: 5
    积分: 14
    排名: 226万+
    文章分类
    文章存档